{{- if .Values.metrics.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ printf "%s-%s" (include "kubezero-lib.fullname" $) "grafana-dashboards" | trunc 63 | trimSuffix "-" }}
  namespace: {{ .Release.Namespace }}
  labels:
    grafana_dashboard: "1"
    {{- include "kubezero-lib.labels" . | nindent 4 }}
  annotations:
    k8s-sidecar-target-directory: Telemetry
binaryData:
  opensearch.json.gz:
    [encoded data, 6324 characters]
  fluent-logging.json.gz:
    [encoded data, 5600 characters]
  kafka.json.gz:
    [encoded data, 4412 characters]
{{- end }}
